APIAnalytics

Top models by tokens

Top models by token usage.

GET
/analytics/llm-top-models-by-tokens

Top models by token usage.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_llm_analytics

Query Parameters

offset?integer

Number of items to skip before returning results.

Formatint32
Range0 <= value
Default0
limit?integer

Maximum number of items to return per page.

Formatint32
Range0 <= value <= 256
Default10
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
provider?array<>

Filter to specific LLM telemetry providers.

user_id?array<>

Filter to specific users by id.

user_group?array<string>

Filter to users in specific groups.

auth_mode?array<>

Response Body

The request has succeeded.

application/json
  1. response

Ranked list by token usage.

items*array<>

The items in this page.

meta*

Paging information for a list response.

curl -X GET "https://example.com/analytics/llm-top-models-by-tokens?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"
{  "items": [    {      "name": "string",      "tokens": 0    }  ],  "meta": {    "total": 0,    "offset": 0,    "limit": 0  }}